// Anlise dos efeitos das alteraes propostas para a TSU
// Aguiar-Conraria (NIPE & U Minho), Alexandre (NIPE & U Minho), Bao (GEMF & U Coimbra), Cerejeira (NIPE & U Minho) e Portela (NIPE & U Minho, IZA)
// Setembro 2012

clear all
// set more off
set rmsg on

capture cd "C:\Users\jccsilva\Dropbox\tsu"
capture cd "C:\miguel\My Dropbox\tsu"
capture cd "C:\Users\reisportela\Dropbox\tsu"

capture log close
log using tsu_main_results.txt, text replace

local st = "$S_TIME"

	use data_tsu_final

// MAIN REGRESSIONS
	describe
	
	sum lrgdp logemp unemp_rate logactive long_term_rate net log_exports tsu_f_mean_n_euro tsu_w_mean_n_euro tsu_f_mean_euro tsu_w_mean_euro BAL tax_ratio dependent euro
		outreg2 using descriptives, sum(log) replace eqkeep(N mean sd min max) word drop(ccode year country) dec(2)

	preserve
		foreach v of varlist lrgdp logemp unemp_rate logactive long_term_rate net log_exports tsu_f_mean_n_euro tsu_w_mean_n_euro tsu_f_mean_euro tsu_w_mean_euro BAL tax_ratio dependent {
			gen d_`v' = d.`v'
				drop `v'
		}
		drop euro
		outreg2 using descriptives_d, sum(log) replace eqkeep(N mean sd min max) word drop(ccode year country) dec(2)
	restore

	tab country, miss
		ret li
	tab year, miss
		ret li

// A.

// FULL TABLE, main
	
// # 1.
	reg d.lrgdp l.lrgdp d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs, dec(6) sortvar(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) replace ctitle(PIB) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 2.
	reg d.logemp l.logemp d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs, dec(6) sortvar(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Emprego) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 3.
	reg d.unemp_rate l.unemp_rate d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs, dec(6) sortvar(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Tx.Desemp.) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 4.
	reg d.logactive l.logactive d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs, dec(6) sortvar(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Pop.Ativa) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 5.
	reg d.long_term_rate l.long_term_rate d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs, dec(6) sortvar(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent L.euro) /*
		*/ keep(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent L.euro) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Desemp.LD) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 6.
	reg d.net l.net d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs, dec(6) sortvar(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Export.Liq.) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 7.
	reg d.log_exports l.log_exports d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs, dec(6) sortvar(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L.lrgdp L.logemp L.unemp_rate L.logactive L.long_term_rate L.net L.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Exports) /*
			*/ adds(RMSE, e(rmse))
			sleep 2500

// SHORT TABLE, main
quietly {
// # 2.
	reg d.logemp l.logemp d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_short, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) nocons/*
			*/ word label addnote(Sourse: Own computations.) replace ctitle(Emprego) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 3.
	reg d.unemp_rate l.unemp_rate d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_short, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Tx.Desemp.) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 4.
	reg d.logactive l.logactive d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_short, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Pop.Ativa) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 5.
	reg d.long_term_rate l.long_term_rate d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_short, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Desemp.LD) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
}
// B.

// FULL TABLE, no lag
	
// # 1.
	reg d.lrgdp d.tsu_f_mean_euro d.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro d.BAL d.tax_ratio d.dependent i.year, cluster(ccode)
		outreg2 using mainregs_b, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) replace ctitle(PIB) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 2.
	reg d.logemp d.tsu_f_mean_euro d.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro d.BAL d.tax_ratio d.dependent i.year, cluster(ccode)
		outreg2 using mainregs_b, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Emprego) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 3.
	reg d.unemp_rate d.tsu_f_mean_euro d.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro d.BAL d.tax_ratio d.dependent i.year, cluster(ccode)
		outreg2 using mainregs_b, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Tx.Desemp.) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 4.
	reg d.logactive d.tsu_f_mean_euro d.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro d.BAL d.tax_ratio d.dependent i.year, cluster(ccode)
		outreg2 using mainregs_b, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Pop.Ativa) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 5.
	reg d.long_term_rate d.tsu_f_mean_euro d.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro d.BAL d.tax_ratio d.dependent i.year, cluster(ccode)
		outreg2 using mainregs_b, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Desemp.LD) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 6.
	reg d.net d.tsu_f_mean_euro d.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro d.BAL d.tax_ratio d.dependent i.year, cluster(ccode)
		outreg2 using mainregs_b, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Export.Liq.) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 7.
	reg d.log_exports d.tsu_f_mean_euro d.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro d.BAL d.tax_ratio d.dependent i.year, cluster(ccode)
		outreg2 using mainregs_b, dec(6) sortvar(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) /*
		*/ keep(D.tsu_f_mean_euro D.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro D.BAL D.tax_ratio D.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Exports) /*
			*/ adds(RMSE, e(rmse))
			sleep 2500

// C.

// FULL TABLE, 2 lags
	
// # 1.
	reg d.lrgdp l2.lrgdp d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_c, dec(6) sortvar(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) replace ctitle(PIB) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 2.
	reg d.logemp l2.logemp d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_c, dec(6) sortvar(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Emprego) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 3.
	reg d.unemp_rate l2.unemp_rate d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_c, dec(6) sortvar(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Tx.Desemp.) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 4.
	reg d.logactive l2.logactive d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_c, dec(6) sortvar(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Pop.Ativa) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 5.
	reg d.long_term_rate l2.long_term_rate d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_c, dec(6) sortvar(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Desemp.LD) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500
	
// # 6.
	reg d.net l2.net d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_c, dec(6) sortvar(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Export.Liq.) /*
			*/ adds(RMSE, e(rmse)) 
			sleep 2500

// # 7.
	reg d.log_exports l2.log_exports d.tsu_f_mean_euro d.tsu_w_mean_euro l.tsu_f_mean_euro l.tsu_w_mean_euro d.tsu_f_mean_n_euro d.tsu_w_mean_n_euro l.tsu_f_mean_n_euro l.tsu_w_mean_n_euro d.BAL l.BAL d.tax_ratio l.tax_ratio d.dependent l.dependent i.year, cluster(ccode)
		outreg2 using mainregs_c, dec(6) sortvar(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) /*
		*/ keep(L2.lrgdp L2.logemp L2.unemp_rate L2.logactive L2.long_term_rate L2.net L2.log_exports D.tsu_f_mean_euro D.tsu_w_mean_euro L.tsu_f_mean_euro L.tsu_w_mean_euro D.tsu_f_mean_n_euro D.tsu_w_mean_n_euro L.tsu_f_mean_n_euro L.tsu_w_mean_n_euro D.BAL L.BAL D.tax_ratio L.tax_ratio D.dependent L.dependent) nocons/*
			*/ word label addnote(Sourse: Own computations.) append ctitle(Exports) /*
			*/ adds(RMSE, e(rmse))
			sleep 2500

elapse `st'

log close



